View Issue Details

IDProjectCategoryView StatusLast Update
0001602Industrial-Craft²Agriculture / crops / Boozeceptionpublic2015-06-04 21:14
ReporterfrankzhangAssigned ToPlayer 
PriorityhighSeveritycrashReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformX64OSDebianOS Version7.8
Product Version 
Target VersionFixed in Version 
Summary0001602: Some crops would make server crash
DescriptionI use IC2 EXP build 720(least version of build)
And old version of IC2 EXP such as build 694 also make it happening.
This is crash report.
Additional Information---- Minecraft Crash Report ----
// Hey, that tickles! Hehehe!

Time: 15-5-19 下午8:43
Description: Ticking block entity

java.lang.NullPointerException: Ticking block entity
    at ic2.core.crop.TileEntityCrop.tick(TileEntityCrop.java:204)
    at ic2.core.crop.TileEntityCrop.func_145845_h(TileEntityCrop.java:119)
    at net.minecraft.world.World.func_72939_s(World.java:2487)
    at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:664)
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:943)
    at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:430)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:798)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:658)
    at java.lang.Thread.run(Thread.java:745)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
    at ic2.core.crop.TileEntityCrop.tick(TileEntityCrop.java:204)
    at ic2.core.crop.TileEntityCrop.func_145845_h(TileEntityCrop.java:119)

-- Block entity being ticked --
Details:
    Name: TECrop // ic2.core.crop.TileEntityCrop
    Block type: ID 0000214 (blockCrop // ic2.core.crop.BlockCrop)
    Block data value: 0 / 0x0 / 0b0000
    Block location: World: (-639,63,-5627), Chunk: (at 1,3,5 in -40,-352; contains blocks -640,0,-5632 to -625,255,-5617), Region: (-2,-11; contains chunks -64,-352 to -33,-321, blocks -1024,0,-5632 to -513,255,-5121)
    Actual block type: ID 0000214 (blockCrop // ic2.core.crop.BlockCrop)
    Actual block data value: 0 / 0x0 / 0b0000
Stacktrace:
    at net.minecraft.world.World.func_72939_s(World.java:2487)
    at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:664)

-- Affected level --
Details:
    Level name: world
    All players: 3 total; [EntityPlayerMP['FZLR'/1649, l='world', x=-635.85, y=63.00, z=-5609.30](FZLR at -635.8450637347198,63.0,-5609.2981077441), EntityPlayerMP['BIGpp'/1670, l='world', x=-91.45, y=24.00, z=1149.30](BIGpp at -91.4483939989143,24.0,1149.300000011921), EntityPlayerMP['xiaojiba'/23957, l='world', x=-430.60, y=64.00, z=-62.81](xiaojiba at -430.6034542348276,64.0,-62.81417919522832)]
    Chunk stats: ServerChunkCache: 1881 Drop: 1408
    Level seed: -7134524095016797083
    Level generator: ID 00 - default, ver 1. Features enabled: true
    Level generator options:
    Level spawn location: World: (-287,59,-66), Chunk: (at 1,3,14 in -18,-5; contains blocks -288,0,-80 to -273,255,-65), Region: (-1,-1; contains chunks -32,-32 to -1,-1, blocks -512,0,-512 to -1,255,-1)
    Level time: 132459649 game time, 132555411 day time
    Level dimension: 0
    Level storage version: 0x04ABD - Anvil
    Level weather: Rain time: 3605 (now: true), thunder time: 64011 (now: false)
    Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
Stacktrace:
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:943)
    at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:430)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:798)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:658)
    at java.lang.Thread.run(Thread.java:745)

-- System Details --
Details:
    Minecraft Version: 1.7.10
    Operating System: Linux (amd64) version 3.2.0-4-amd64
    Java Version: 1.8.0_45, Oracle Corporation
    Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
    Memory: 2773485336 bytes (2645 MB) / 5088215040 bytes (4852 MB) up to 6990856192 bytes (6667 MB)
    JVM Flags: 1 total; -Xmx7500M
    AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
    IntCache: cache: 1, tcache: 1, allocated: 12, tallocated: 94
    FML: MCP v9.05 FML v7.10.114.1388 Minecraft Forge 10.13.3.1403 28 mods loaded, 28 mods active
    mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    FML{7.10.114.1388} [Forge Mod Loader] (cauldron.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    Forge{10.13.3.1403} [Minecraft Forge] (cauldron.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    CodeChickenCore{1.0.4.29} [CodeChicken Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    MobiusCore{1.2.5} [MobiusCore] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    NotEnoughItems{1.0.3.74} [Not Enough Items] (NotEnoughItems-1.7.10-1.0.3.74-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    OpenModsCore{0.7.3} [OpenModsCore] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    bspkrsCore{6.15} [bspkrsCore] ([1.7.10]bspkrsCore-universal-6.15.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    Treecapitator{1.7.10} [Treecapitator] ([1.7.10]Treecapitator-universal-2.0.4.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    IC2{2.2.720-experimental} [IndustrialCraft 2] (industrialcraft-2-2.2.720-experimental.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    AdvancedSolarPanel{1.7.10-3.5.1} [Advanced Solar Panels] (AdvancedSolarPanel-1.7.10-3.5.1[TFCN].jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    BiblioCraft{1.9.2} [BiblioCraft] (BiblioCraft[v1.9.2][MC1.7.10].jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    customnpcs{1.7.10d} [CustomNpcs] (CustomNPCs_1.7.10d.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    flansmod{4.10.0} [Flan's Mod] (Flans_Mod-1.7.10-4.10.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    GraviSuite{1.7.10-2.0.3} [Graviation Suite] (GraviSuite-1.7.10-2.0.3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    IronChest{6.0.62.742} [Iron Chest] (ironchest-1.7.10-6.0.62.742-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    JourneyMapServer{1.0.2_MC1.7.10} [JourneyMapServer] (JourneyMapServer1.0.2_MC1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    numina{0.4.0.100} [Numina] (Numina-0.4.0.100.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    powersuits{0.11.0.176} [MachineMuse's Modular Powersuits] (ModularPowersuits-0.11.0.176 .jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    cfm{3.3.5} [§6MrCrayfish's Furniture Mod] (MrCrayfishFurnitureModv3.3.5(1.7.10).jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    NBTEdit{1.7.2.2} [In-game NBTEdit] (NBTEdit_1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    OpenMods{0.7.3} [OpenMods] (OpenModsLib-1.7.10-0.7.3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    OpenBlocks{1.4.3} [OpenBlocks] (OpenBlocks-1.7.10-1.4.3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    powersuitaddons{@VERSION@} [Modular Powersuits Addon] (powersuitaddons-1.7.10-901.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    TwilightForest{2.3.5} [The Twilight Forest] (twilightforest-1.7.10-2.3.5.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    UsefulFood{1.5.0} [UsefulFood] (UsefulFood-1.5.0-CN.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    yarr_cutemobmodels{1.0.8} [Cute Mob Models] (yarrcutemobmodels-1.0.8-1.7.10.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    zzzzzcustomconfigs{2.2.0} [ZZZZZ Custom Configs] (ZZZZZ Custom Configs-2.2.0.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available
    OpenModsLib class transformers: [stencil_patches:ENABLED],[movement_callback:ENABLED],[map_gen_fix:FINISHED],[gl_capabilities_hook:ENABLED],[player_render_hook:ENABLED]
    Class transformer null safety: all safe
    Profiler Position: N/A (disabled)
    Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
    Player Count: 37 / 150; [EntityPlayerMP['ange'/1043, l='地皮', x=-458.92, y=55.00, z=-681.34](ange at -458.9224545794223,55.0,-681.336390034144), EntityPlayerMP['FZLR'/1649, l='world', x=-635.85, y=63.00, z=-5609.30](FZLR at -635.8450637347198,63.0,-5609.2981077441), EntityPlayerMP['xiao_Jl'/1659, l='地皮', x=455.22, y=65.00, z=961.48](xiao_Jl at 455.2211906754596,65.0,961.4774418876912), EntityPlayerMP['shen_fuL'/1149, l='地皮', x=458.30, y=65.00, z=965.36](shen_fuL at 458.3000778485658,65.0,965.356006908209), EntityPlayerMP['miaomiao'/1634, l='地皮', x=-844.28, y=68.00, z=451.80](miaomiao at -844.284544735673,68.0,451.8003272679121), EntityPlayerMP['FUKO'/9325, l='地皮', x=457.89, y=65.00, z=959.41](FUKO at 457.8935951674973,65.0,959.4088111926833), EntityPlayerMP['Saybeter'/2997, l='地皮', x=465.48, y=69.90, z=965.33](Saybeter at 465.48310876776424,69.89895112650862,965.3295371242995), EntityPlayerMP['zimo'/694, l='地皮', x=629.24, y=65.00, z=757.30](zimo at 629.2375000119209,65.0,757.3000000119209), EntityPlayerMP['sdjkk'/8519, l='地皮', x=450.62, y=65.00, z=795.05](sdjkk at 450.62342586683917,65.0,795.054334072186), EntityPlayerMP['Jon'/5058, l='地皮', x=-681.85, y=71.00, z=846.49](Jon at -681.8500071262945,71.0,846.4918297130109), EntityPlayerMP['Lu1uXiu'/13532, l='地皮', x=-762.19, y=127.00, z=390.69](Lu1uXiu at -762.1861447624236,127.0,390.69464242011577), EntityPlayerMP['KNIGHT'/14895, l='地皮', x=718.53, y=94.00, z=-714.78](KNIGHT at 718.5345154793986,94.0,-714.7771577364541), EntityPlayerMP['Herbber'/1495, l='地皮', x=-789.09, y=66.00, z=376.94](Herbber at -789.0884540465547,66.0,376.93877167087317), EntityPlayerMP['qq2461579223'/2729, l='地皮', x=448.52, y=66.17, z=779.93](qq2461579223 at 448.5159989649389,66.16610926093821,779.9262746233203), EntityPlayerMP['sanjindada'/1128, l='地皮', x=-839.34, y=65.00, z=452.73](sanjindada at -839.3364443229689,65.0,452.73330372769595), EntityPlayerMP['Gtr'/21177, l='地皮', x=443.86, y=65.00, z=774.93](Gtr at 443.85791523373905,65.0,774.9334305321785), EntityPlayerMP['hukis'/2099, l='地皮', x=-799.02, y=65.00, z=-448.52](hukis at -799.0235578496307,65.0,-448.5208324629674), EntityPlayerMP['fengyin'/1132, l='地皮', x=-845.14, y=68.00, z=456.56](fengyin at -845.1361199195767,68.0,456.55947849208593), EntityPlayerMP['life'/1646, l='DIM-1', x=-800.30, y=95.02, z=-89.64](life at -800.3009763435683,95.0155550727022,-89.64435606604786), EntityPlayerMP['Aurora'/23037, l='地皮', x=94.81, y=71.00, z=261.90](Aurora at 94.80796748962392,71.0,261.8989297617966), EntityPlayerMP['Mo_lu_xue'/2048, l='地皮', x=-872.22, y=65.60, z=-405.62](Mo_lu_xue at -872.2234626241734,65.60000002384186,-405.61663480991), EntityPlayerMP['BIGpp'/1670, l='world', x=-91.45, y=24.00, z=1149.30](BIGpp at -91.4483939989143,24.0,1149.300000011921), EntityPlayerMP['weimao'/24896, l='地皮', x=298.70, y=65.00, z=650.97](weimao at 298.7039008123699,65.0,650.9700607883381), EntityPlayerMP['koxx'/9247, l='地皮', x=-30.66, y=65.00, z=-1279.11](koxx at -30.656237403628353,65.0,-1279.1147587311245), EntityPlayerMP['chopper'/25395, l='地皮', x=261.61, y=65.00, z=107.65](chopper at 261.6091088444708,65.0,107.64628188589828), EntityPlayerMP['g_g'/26401, l='地皮', x=461.16, y=65.00, z=960.76](g_g at 461.16381609093935,65.0,960.7624999880791), EntityPlayerMP['Gaxxcv'/12384, l='地皮', x=86.62, y=66.00, z=258.08](Gaxxcv at 86.61771471335048,66.0,258.0813021807098), EntityPlayerMP['XMAO'/24145, l='地皮', x=89.41, y=66.00, z=256.87](XMAO at 89.41202174341375,66.0,256.87170514771464), EntityPlayerMP['xiao_jia'/20461, l='资源', x=-159.27, y=48.00, z=-888.32](xiao_jia at -159.2670935441205,48.0,-888.3242332795429), EntityPlayerMP['zx2969'/1655, l='地皮', x=-708.24, y=65.00, z=-339.32](zx2969 at -708.241386830241,65.0,-339.32148068027453), EntityPlayerMP['fu_155'/1633, l='地皮', x=630.74, y=65.00, z=761.83](fu_155 at 630.7417412520485,65.0,761.8324447077549), EntityPlayerMP['xiaojiba'/23957, l='world', x=-430.60, y=64.00, z=-62.81](xiaojiba at -430.6034542348276,64.0,-62.81417919522832), EntityPlayerMP['Mo_ling_han'/2038, l='地皮', x=-872.58, y=64.00, z=-410.77](Mo_ling_han at -872.5834042354669,64.0,-410.77074604324866), EntityPlayerMP['MIM'/19335, l='DIM-1', x=-797.61, y=73.00, z=-86.70](MIM at -797.6072643234553,73.0,-86.6983063968044), EntityPlayerMP['zi_min'/28288, l='地皮', x=629.86, y=65.00, z=752.31](zi_min at 629.8574635097517,65.0,752.312070744183), EntityPlayerMP['tjf'/7977, l='地皮', x=93.67, y=69.00, z=-334.30](tjf at 93.66853296450947,69.0,-334.30000001192093), EntityPlayerMP['so_diao'/707, l='地皮', x=-325.81, y=55.00, z=758.14](so_diao at -325.81462426043095,55.0,758.140918467053)]
    Is Modded: Definitely; Server brand changed to 'cauldron,craftbukkit,mcpc,fml,forge'
    Type: Dedicated Server (map_server.txt)
TagsNo tags attached.
Minecraft Version

Activities

Chocohead

2015-05-20 20:30

developer   ~0003873

Probably some clashing effect from Cauldron

Player

2015-06-04 21:14

administrator   ~0003896

Thanks, this should be fixed in the next build.

Issue History

Date Modified Username Field Change
2015-05-19 13:18 frankzhang New Issue
2015-05-20 20:30 Chocohead Note Added: 0003873
2015-06-04 21:14 Player Note Added: 0003896
2015-06-04 21:14 Player Status new => resolved
2015-06-04 21:14 Player Resolution open => fixed
2015-06-04 21:14 Player Assigned To => Player